MINCORE(2)

NAME
mincore - get advise about use of memory

SYNOPSIS
#include <sys/types.h>
#include <sys/mman.h>
int
mincore(caddr_t addr, size_t len, char *vec);

DESCRIPTION
The mincore() system call allows a process to obtain information about whether pages are core resident. Here the current core residency of the pages is returned in the character array vec, with a value of 1 meaning that the page is in-core.

RETURN VALUES
Upson successful completion, mincore() returns 0 and vec is updated to relect the page status. Otherwise a value of -1 is returned and error is set to indicate the error.

ERRORS

[EINVAL]
    The virtial address range specified by the addr and len arguments is not valid.

[EFAULT]
    The vec argument points to an illegal address.

SEE ALSO
madvise(2), mprotect(2), msync(2), munmap(2)

HISTORY
The mincore() function first appeared in 4.4BSD.